org.apache.maven.shared.io.scan

## Class AbstractResourceInclusionScanner

- java.lang.Object
- - org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner

All Implemented Interfaces:
  ResourceInclusionScanner

Direct Known Subclasses:
  SimpleResourceInclusionScanner, StaleResourceScanner

    public abstract class AbstractResourceInclusionScanner
    extends Object
    implements ResourceInclusionScanner

Version:
  $Id: AbstractResourceInclusionScanner.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`AbstractResourceInclusionScanner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSourceMapping(SourceMapping sourceMapping)`
`protected List<SourceMapping>` `getSourceMappings()`
`protected String[]` `scanForSources(File sourceDir, Set<String> sourceIncludes, Set<String> sourceExcludes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.shared.io.scan.ResourceInclusionScanner

`getIncludedSources`

### Constructor Detail

#### AbstractResourceInclusionScanner

    public AbstractResourceInclusionScanner()

### Method Detail

#### addSourceMapping

    public final void addSourceMapping(SourceMapping sourceMapping)

Specified by:
  `addSourceMapping` in interface `ResourceInclusionScanner`
Parameters:
  `sourceMapping` - `SourceMapping`

#### getSourceMappings

    protected final List<SourceMapping> getSourceMappings()

Returns:
  The source mapping.

#### scanForSources

    protected String[] scanForSources(File sourceDir,
                                      Set<String> sourceIncludes,
                                      Set<String> sourceExcludes)

Parameters:
  `sourceDir` - `File`
  `sourceIncludes` - source includes.
  `sourceExcludes` - source excludes.
Returns:
  The resulting sources.